Subject: bug#14357: 24.3; Directory tracking in ansi-term broken

From: "Olsen, Stuart J" <[email-masked]>
Date: Tue, 7 May 2013 07:02:28 +0000

I had issues under 23.3.1 where the system would balk at the use of undefined
ange-ftp symbols in term-handle-ansi-terminal-messages, but with at least 24.2.1
and 24.3, the "AnSiT" messages work fine and produce the intended results. It's
that the terminal emulator does not remove the /next/ escape sequence, which
only seems to be produced for local bash sessions (i.e., not when using ssh),
that's bugging me, no pun intended.
________________________________________
From: Glenn Morris [[email-masked]]
Sent: Tuesday, May 07, 2013 1:46 AM
To: Olsen, Stuart J
Cc: [email-masked]
Subject: Re: bug#14357: 24.3; Directory tracking in ansi-term broken

"Olsen, Stuart J" wrote:

> To reproduce this bug, run emacs using the command `emacs -Q'. Issue the
> command `M-x ansi-term' run a local bash session. Issue the command `echo
> -e "\033AnSiTc" $(pwd)' to simulate setting the default-directory for
> the ansi-term buffer. This will be successful, but the character
> sequence `^Z/cwd', where cwd is the current working directory, will also
> be printed.

Did this ever work for you? I haven't been able to find any version of
Emacs, going back to 21.1, in which it does. In more recent Emacs, I
actually get an error:

  error in process filter: Not a Tramp file name: /@HOSTNAME:/home/gm